Update USB passthrough using VirtualBox section.
ClosedPublic

Authored by sevan on Jul 21 2017, 2:43 AM.

Details

Summary

Bug 220350
Johannes Jost Meixner
The handbook currently states that USB passthrough is not possible without an extension pack. This is incorrect, virtualbox-ose is merely limited to emulating a USB1.1 host controller

Diff Detail

Repository
rD FreeBSD doc repository
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 10606
Build 11012: arc lint + arc unit
sevan created this revision.Jul 21 2017, 2:43 AM
bcr edited edge metadata.Jul 25 2017, 3:13 PM

Some comments, Warren might have others.

en_US.ISO8859-1/books/handbook/virtualization/chapter.xml
930

I think the "In order" can be removed.

932

you and your should be avoided. How about "... attached to the machine, the user needs ..."

932

Isn't that the operator group? It should be enclosed in class=groupname tags, see FDP primer, section 9.6.8.

938

Same here with "you". Restart the login session...

sevan updated this revision to Diff 31197.Jul 25 2017, 8:15 PM

Address the points raised by bcr

sevan marked 4 inline comments as done.Jul 25 2017, 8:16 PM
bcr added a comment.Jul 27 2017, 4:49 PM

One more fix...

en_US.ISO8859-1/books/handbook/virtualization/chapter.xml
932

I meant the operator group in my second comment. See the pw command below. ;-)

xmj added a subscriber: xmj.Jul 28 2017, 4:28 AM
xmj added inline comments.
en_US.ISO8859-1/books/handbook/virtualization/chapter.xml
932

Good catch :-)

sevan updated this revision to Diff 31305.Jul 28 2017, 1:35 PM

Correct the group name.

sevan marked 2 inline comments as done.Jul 28 2017, 1:36 PM

fixed, thanks for catching that.

bcr added a comment.Jul 28 2017, 4:35 PM

Small formatting nit, should have caught that earlier... :-\

en_US.ISO8859-1/books/handbook/virtualization/chapter.xml
932

OK, last thing: you need to break the overly long line after the <systemitem tag and indent the class=".." in the next line, and rewrap the rest of the paragraph as appropriate.

sevan updated this revision to Diff 31321.Jul 28 2017, 6:56 PM

Update wrapping.
Add missing semicolon.

sevan added inline comments.Jul 28 2017, 6:58 PM
en_US.ISO8859-1/books/handbook/virtualization/chapter.xml
932

gqj in vim is sufficient, right?

bcr accepted this revision.Jul 28 2017, 7:30 PM

Perfect, now you can commit it. Thank you!

This revision is now accepted and ready to land.Jul 28 2017, 7:30 PM
This revision was automatically updated to reflect the committed changes.
wblock edited edge metadata.Aug 25 2017, 1:25 PM

Did you test VirtualBox USB pass-through? I was under the impression that it did not work at all any more.